Summary: 	Mandriva Xfce Free configuration files
Name:    	mandriva-xfce-config
Version: 	1.3
Release: 	%mkrel 5
Group:   	Graphical desktop/Xfce
License: 	GPL
URL:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
Source0: 	%{name}-%{version}.tar.bz2
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
Configuration files for Mandriva Xfce desktop environment.

%package -n %{name}-common
Summary: 	Mandriva Xfce common configuration files
Group: 		Graphical desktop/Xfce
Requires(pre):	update-alternatives
Requires:	task-xfce-minimal

%description -n %{name}-common
Common configuration files for Mandriva Xfce desktop environment.

%package -n %{name}-Free
Summary: 	Mandriva Xfce Free configuration files
Group: 		Graphical desktop/Xfce
Url:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
# (tpg) mandriva stuff
Requires:	mandriva-release
Requires:	mandriva-theme
Requires:	mandriva-theme-screensaver
Requires(pre):	%{name}-common = %{version}-%{release}
Requires(preun): %{name}-common
Conflicts:	%{name}-One
Conflicts:	%{name}-Powerpack
Provides:	%{name}

%description -n %{name}-Free
Configuration files for Mandriva Free Xfce desktop environment.

%package -n %{name}-One
Summary: 	Mandriva Xfce One configuration files
Group: 		Graphical desktop/Xfce
Url:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
# (tpg) mandriva stuff
Requires:	mandriva-release
Requires:	mandriva-theme
Requires:	mandriva-theme-screensaver
Requires(pre):	%{name}-common = %{version}-%{release}
Requires(preun): %{name}-common
Conflicts:	%{name}-Free
Conflicts:	%{name}-Powerpack
Provides:	%{name}

%description -n %{name}-One
Configuration files for Mandriva One Xfce desktop environment.

%package -n %{name}-Powerpack
Summary:	Mandriva Xfce Powerpack configuration files
Group:		Graphical desktop/Xfce
Url:		http://wiki.mandriva.com/en/Development/Ideas/XFCE
# (tpg) mandriva stuff
Requires:	mandriva-release
Requires:	mandriva-theme
Requires:	mandriva-theme-screensaver
Requires(pre):	%{name}-common = %{version}-%{release}
Requires(preun): %{name}-common
Conflicts:	%{name}-One
Conflicts:	%{name}-Free
Provides:	%{name}

%description -n %{name}-Powerpack
Configuration files for Mandriva Powerpack Xfce desktop environment.

%prep
%setup -q

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/X11/xdg
mkdir -p %{buildroot}%{_localstatedir}/mandriva/xfce-profiles

mv common/* %{buildroot}%{_sysconfdir}/X11/xdg
mv Free %{buildroot}%{_localstatedir}/mandriva/xfce-profiles
mv One %{buildroot}%{_localstatedir}/mandriva/xfce-profiles
mv Powerpack %{buildroot}%{_localstatedir}/mandriva/xfce-profiles

%clean
rm -rf %{buildroot}

%pre -n %{name}-Free
if [ -d %{_localstatedir}/mandriva/xfce-profiles/Free ]; then
  rm -rf %{_localstatedir}/mandriva/xfce-profiles/Free
fi

%post -n %{name}-Free
update-alternatives --install %{_sysconfdir}/X11/xdg/xfce4/mcs_settings xfce-config %{_localstatedir}/mandriva/xfce-profiles/Free/xfce4/mcs_settings 10

%postun -n %{name}-Free
if ! [ -e /var/lib/mandriva/xfce-profiles/Free ]; then
  update-alternatives --remove xfce-config /var/lib/mandriva/xfce-profiles/Free/xfce4/mcs_settings
fi

%pre -n %{name}-One
if [ -d %{_localstatedir}/mandriva/xfce-profiles/One ]; then
  rm -rf %{_localstatedir}/mandriva/xfce-profiles/One
fi

%post -n %{name}-One
update-alternatives --install %{_sysconfdir}/X11/xdg/xfce4/mcs_settings xfce-config %{_localstatedir}/mandriva/xfce-profiles/One/xfce4/mcs_settings 10

%postun -n %{name}-One
if ! [ -e /var/lib/mandriva/xfce-profiles/One ]; then
  update-alternatives --remove xfce-config /var/lib/mandriva/xfce-profiles/One/xfce4/mcs_settings
fi

%pre -n %{name}-Powerpack
if [ -d %{_localstatedir}/mandriva/xfce-profiles/Powerpack ]; then
  rm -rf %{_localstatedir}/mandriva/xfce-profiles/Powerpack
fi

%post -n %{name}-Powerpack
update-alternatives --install %{_sysconfdir}/X11/xdg/xfce4/mcs_settings xfce-config %{_localstatedir}/mandriva/xfce-profiles/Powerpack/xfce4/mcs_settings 10

%postun -n %{name}-Powerpack
if ! [ -e /var/lib/mandriva/xfce-profiles/Powerpack ]; then
  update-alternatives --remove xfce-config /var/lib/mandriva/xfce-profiles/Powerpack/xfce4/mcs_settings
fi

%files -n %{name}-common
%defattr(644,root,root,755)
%{_sysconfdir}/X11/xdg/Terminal/*
%{_sysconfdir}/X11/xdg/Thunar/*
%{_sysconfdir}/X11/xdg/autostart/*
%{_sysconfdir}/X11/xdg/xfce4/*

%files -n %{name}-Free
%defattr(644,root,root,755)
%{_localstatedir}/mandriva/xfce-profiles/Free

%files -n %{name}-One
%defattr(644,root,root,755)
%{_localstatedir}/mandriva/xfce-profiles/One

%files -n %{name}-Powerpack
%defattr(644,root,root,755)
%{_localstatedir}/mandriva/xfce-profiles/Powerpack


%changelog
* Sun Sep 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3-4mdv2008.0
+ Revision: 93975
- fix bug #34326
- add more configuration files

* Sun Sep 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3-3mdv2008.0
+ Revision: 92367
- do not hardcode requires for a specific Mandriva flavour
- all subpackages(excluding common) provides mandriva-xfce-config

* Sat Sep 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3-2mdv2008.0
+ Revision: 92123
- fix scripts, now this should work
- fix orage config

* Fri Sep 21 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3-1mdv2008.0
+ Revision: 91934
- new version
    o use update-alternatives
    o change apperance of a panel
    o update all settings
- provide common package with settings for all Mandriva flavours
- install missing autostart files
- change name to mandriva-xfce-config
- add provides/obsoletes
- change name, closer with distro

* Tue Jun 26 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-2mdv2008.0
+ Revision: 44288
- add correct tarball
- fix file list

* Mon Jun 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2-1mdv2008.0
+ Revision: 44133
- new version
  o add autostart andl volstatus files
- o add Xfce panel configuration files

* Wed Jun 20 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-2mdv2008.0
+ Revision: 41743
- add conflicts and provides

* Mon Jun 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-1mdv2008.0
+ Revision: 40917
- xfce-config holds Xfce configuration for Mandriva flavours
- Import xfce-config

